The OpenNET Project / Index page

[ новости /+++ | форум | wiki | теги | ]



"Релиз системы самодостаточных пакетов Flatpak 1.10.0"
Вариант для распечатки  
Пред. тема | След. тема 
Форум Разговоры, обсуждение новостей
Изначальное сообщение [ Отслеживать ]

"Релиз системы самодостаточных пакетов Flatpak 1.10.0"  +/
Сообщение от opennews (ok), 17-Янв-21, 11:37 
Опубликована  новая стабильная ветка инструментария Flatpak 1.10, который предоставляет систему для сборки самодостаточных пакетов, не привязанных к конкретным дистрибутивам Linux и выполняемых в специальном контейнере, изолирующем приложение от остальной системы. Поддержка выполнения Flatpak-пакетов обеспечена для Arch Linux, CentOS, Debian, Fedora, Gentoo, Mageia, Linux Mint, Alt Linux и Ubuntu. Пакеты с Flatpak включены в репозиторий Fedora и поддерживаются в штатной программе управления приложениями GNOME...

Подробнее: https://www.opennet.ru/opennews/art.shtml?num=54412

Ответить | Правка | Cообщить модератору

Оглавление

Сообщения [Сортировка по времени | RSS]


1. "Релиз системы самодостаточных пакетов Flatpak 1.10.0"  +2 +/
Сообщение от Леголас (ok), 17-Янв-21, 11:37 
> т.е. сбой при установке теперь не приводит к пропаданию приложения

Так тоже можно? (:

Ответить | Правка | Наверх | Cообщить модератору

2. "Релиз системы самодостаточных пакетов Flatpak 1.10.0"  –3 +/
Сообщение от Fracta1L (ok), 17-Янв-21, 11:40 
Когда оно перестанет так тормозить?
Ответить | Правка | Наверх | Cообщить модератору

35. "Релиз системы самодостаточных пакетов Flatpak 1.10.0"  –1 +/
Сообщение от псевдонимус (?), 17-Янв-21, 15:53 
Когда на срастётся что-нибудь полезное напишут. Может быть тогда и флаткал перестанет тормозить.
Ответить | Правка | Наверх | Cообщить модератору

159. "Релиз системы самодостаточных пакетов Flatpak 1.10.0"  –2 +/
Сообщение от Аноним (159), 18-Янв-21, 22:29 
> Когда оно перестанет так тормозить?

Никогда. Его писали такие-же грамотеи как и ты. Хотя нет, те чуточку поумнее тебя будут. У тебя бы даже до первой версии дело не дошло.

Ответить | Правка | К родителю #2 | Наверх | Cообщить модератору

4. "Релиз системы самодостаточных пакетов Flatpak 1.10.0"  +18 +/
Сообщение от Аноним (4), 17-Янв-21, 11:50 
Flatpak надо переименовать в Fatpak
Ответить | Правка | Наверх | Cообщить модератору

37. "Релиз системы самодостаточных пакетов Flatpak 1.10.0"  –1 +/
Сообщение от Аноним (37), 17-Янв-21, 16:03 
По сути статическая линковка плюс 100500 версий жырноты Qt/KDE...
Ответить | Правка | Наверх | Cообщить модератору

62. "Релиз системы самодостаточных пакетов Flatpak 1.10.0"  +/
Сообщение от asdasd (?), 17-Янв-21, 20:08 
Нет там статической линковки, там теже либы.
Ответить | Правка | Наверх | Cообщить модератору

81. "Релиз системы самодостаточных пакетов Flatpak 1.10.0"  +2 +/
Сообщение от анонимуслинус (?), 17-Янв-21, 23:37 
вот если бы они линковали статически проблем было бы меньше. правда нафига народ создавал тогда разделяемые библиотеки и доступ к ним? тут явный даунгрейд технологий.
Ответить | Правка | Наверх | Cообщить модератору

146. "Релиз системы самодостаточных пакетов Flatpak 1.10.0"  +/
Сообщение от Анончик9999 (?), 18-Янв-21, 15:58 
Так пользуйся дальше репозиториями, страдай или от нестабильности дистрибутивов, или от несвежих версий софта, или рискуй безопасностю сторонних реп. Не нравится, исхдники+configure&&make&&make install в зубы, статический линкуй, записуй у блокнот, что куда потом поставил. А разработчикам проще и быстрее запаковать в контейнер, и им по боку твоя кривая архитектура.
Ответить | Правка | Наверх | Cообщить модератору

96. "Релиз системы самодостаточных пакетов Flatpak 1.10.0"  +1 +/
Сообщение от Аноним (37), 18-Янв-21, 00:30 
> там теже либы.

какая разница, те или не те, если они индивидуально свои у каждого приложения и не шарятся между ФэтФаками.

Ответить | Правка | К родителю #62 | Наверх | Cообщить модератору

148. "Релиз системы самодостаточных пакетов Flatpak 1.10.0"  +/
Сообщение от Аноним (148), 18-Янв-21, 17:33 
Зато снёс приложение - автоматически снеслись и его зависимости.
Ответить | Правка | Наверх | Cообщить модератору

116. "Релиз системы самодостаточных пакетов Flatpak 1.10.0"  +/
Сообщение от Соня Мармеладова (?), 18-Янв-21, 03:23 
Динамическая либа, которой пользуется только одно приложение даже хуже, чем статическая - PIC не даётся бесплатно и LTO осуществить нельзя.
Ответить | Правка | К родителю #62 | Наверх | Cообщить модератору

53. "Релиз системы самодостаточных пакетов Flatpak 1.10.0"  +1 +/
Сообщение от Онаним (?), 17-Янв-21, 18:45 
Fatpuke
Ответить | Правка | К родителю #4 | Наверх | Cообщить модератору

5. "Релиз системы самодостаточных пакетов Flatpak 1.10.0"  –9 +/
Сообщение от Consta (?), 17-Янв-21, 11:54 
Flatpak стал официально поддерживать Альт?
Ответить | Правка | Наверх | Cообщить модератору

164. "Релиз системы самодостаточных пакетов Flatpak 1.10.0"  +/
Сообщение от Аноним (164), 21-Янв-21, 12:36 
УМВР

мимо альтовец

Ответить | Правка | Наверх | Cообщить модератору

6. "Релиз системы самодостаточных пакетов Flatpak 1.10.0"  +3 +/
Сообщение от Аноним (6), 17-Янв-21, 12:16 
>Нeнyжный релиз нeнyжной системы нeнyжныx пакетов Flatpak 1.10.0

Так правильнее.

Ответить | Правка | Наверх | Cообщить модератору

7. "Релиз системы самодостаточных пакетов Flatpak 1.10.0"  +1 +/
Сообщение от Аноним (7), 17-Янв-21, 12:18 
> Так ненужнее.
Ответить | Правка | Наверх | Cообщить модератору

14. "Релиз системы самодостаточных пакетов Flatpak 1.10.0"  +/
Сообщение от анон (?), 17-Янв-21, 13:33 
Единственное, что здесь не нужно - твоё мнение
Ответить | Правка | К родителю #6 | Наверх | Cообщить модератору

77. "Релиз системы самодостаточных пакетов Flatpak 1.10.0"  –1 +/
Сообщение от Анончик99999 (?), 17-Янв-21, 23:24 
не у всех много времени и нервов на ... configure && make && make install ...
Кто-то любит быстро, просто и без геморроя.
Давно пользуюсь Flatpack, очень доволен. Все проги свежих версий и всегда в актуальном состоянии.
Ответить | Правка | К родителю #6 | Наверх | Cообщить модератору

79. "Релиз системы самодостаточных пакетов Flatpak 1.10.0"  –2 +/
Сообщение от Анончик99999 (?), 17-Янв-21, 23:27 
и безопасно.
Ответить | Правка | Наверх | Cообщить модератору

166. "Релиз системы самодостаточных пакетов Flatpak 1.10.0"  +/
Сообщение от InuYasha (??), 21-Янв-21, 13:13 
Зачем так сурово? У вас фряха или гента? apt install, yum install, ... если надоест - purge - нет проблем. Только разработчикам лень паковать в дебы и рпмы.
Ответить | Правка | К родителю #77 | Наверх | Cообщить модератору

8. "Релиз системы самодостаточных пакетов Flatpak 1.10.0"  +/
Сообщение от ilyafedin (ok), 17-Янв-21, 12:24 
> Snap использует компоненты окружения основной системы

Эээ, нет, как и флатпак, они предоставляют рантайм, но он основан на пакетах из убунты

Ответить | Правка | Наверх | Cообщить модератору

9. "Релиз системы самодостаточных пакетов Flatpak 1.10.0"  +/
Сообщение от Аноним (9), 17-Янв-21, 12:45 
Синдром самодостаточных пакетов...
Ответить | Правка | Наверх | Cообщить модератору

60. "Релиз системы самодостаточных пакетов Flatpak 1.10.0"  +1 +/
Сообщение от Аноним (60), 17-Янв-21, 19:26 
> Синдром самодостаточных пакетов...

Которые при этом не могут самостоятельно запускаться (в отличие от AppImage).

Ответить | Правка | Наверх | Cообщить модератору

78. "Релиз системы самодостаточных пакетов Flatpak 1.10.0"  +/
Сообщение от Анончик99999 (?), 17-Янв-21, 23:26 
Appimage - классно, но много программ, что когда-либо ставил, имели проблемы с интеграцией и работой в системе.
Ответить | Правка | Наверх | Cообщить модератору

10. "Релиз системы самодостаточных пакетов Flatpak 1.10.0"  –1 +/
Сообщение от Sergey (??), 17-Янв-21, 13:09 
Попробуйте сделать локальное зеркало хотя бы для пары придожений.
Ответить | Правка | Наверх | Cообщить модератору

23. "Релиз системы самодостаточных пакетов Flatpak 1.10.0"  –1 +/
Сообщение от Redhahhh (?), 17-Янв-21, 14:56 
В чем проблема?
Ответить | Правка | Наверх | Cообщить модератору

128. "Релиз системы самодостаточных пакетов Flatpak 1.10.0"  +/
Сообщение от Аноним (128), 18-Янв-21, 07:00 
Хотя бы ссылку на какой нибудь док поэтому для начала.
Ответить | Правка | Наверх | Cообщить модератору

11. "Релиз системы самодостаточных пакетов Flatpak 1.10.0"  +3 +/
Сообщение от Аноньимъ (ok), 17-Янв-21, 13:16 
Счастливые хипстерско-шеябородные звуки :-O
Ответить | Правка | Наверх | Cообщить модератору

12. "Релиз системы самодостаточных пакетов Flatpak 1.10.0"  –5 +/
Сообщение от Тов Майор (?), 17-Янв-21, 13:18 
DLLHEll это ты?
Ответить | Правка | Наверх | Cообщить модератору

29. "Релиз системы самодостаточных пакетов Flatpak 1.10.0"  +/
Сообщение от Аноним (29), 17-Янв-21, 15:30 
Как раз, наоборот.
Ответить | Правка | Наверх | Cообщить модератору

39. "Релиз системы самодостаточных пакетов Flatpak 1.10.0"  +1 +/
Сообщение от Аноним (37), 17-Янв-21, 16:07 
> В одной системе может быть установлено несколько разных runtime (GNOME, KDE) или несколько версий одного runtime (GNOME 3.36, GNOME 3.38).

Вот это <белый лис>, система распухает в 100500 раз.

Ответить | Правка | Наверх | Cообщить модератору

47. "Релиз системы самодостаточных пакетов Flatpak 1.10.0"  +/
Сообщение от анонимит (?), 17-Янв-21, 17:33 
Хоть 100500. Лишь бы дыреней не было.
Ответить | Правка | Наверх | Cообщить модератору

72. "Релиз системы самодостаточных пакетов Flatpak 1.10.0"  +1 +/
Сообщение от Аноним (72), 17-Янв-21, 22:27 
Да хоть в сколькоугодна раз, пора бы уже Анониму разморозиться - сейчас, в 2021 году, систему не на дискетках хранят. Лишь бы приложения запускались без вопросов и из коробки.
Ответить | Правка | К родителю #39 | Наверх | Cообщить модератору

82. "Релиз системы самодостаточных пакетов Flatpak 1.10.0"  +/
Сообщение от Анончик99999 (?), 17-Янв-21, 23:39 
Давно пользуюсь Flatpack. Linux Mint со всеми популярными приложениями + приложениями для разработки + играми SuperTux... занимает ~60 Гб на диске.Это в 3 раза меньше, чем я бы все это установил на Windows!
Ответить | Правка | К родителю #39 | Наверх | Cообщить модератору

135. "Релиз системы самодостаточных пакетов Flatpak 1.10.0"  +/
Сообщение от тоже Анонимemail (ok), 18-Янв-21, 10:23 
Соответственно, без подобных местожорок система с установленными приложениями (да, и несколько IDE тоже) занимает 20 Гб на диске.
Ответить | Правка | Наверх | Cообщить модератору

138. "Релиз системы самодостаточных пакетов Flatpak 1.10.0"  +/
Сообщение от Аноним (72), 18-Янв-21, 12:48 
Какой ужас! 20 (Двадцать) гигабайт! Что, на терабайтном диске на еще один фильм места не хватает? Тысячу прриложений используете? Тут вообще многовато людей со с странными рассуждениями про место на диске.
Ответить | Правка | Наверх | Cообщить модератору

139. "Релиз системы самодостаточных пакетов Flatpak 1.10.0"  +/
Сообщение от тоже Анонимemail (ok), 18-Янв-21, 13:03 
> Тут вообще многовато людей со с странными рассуждениями про место на диске.

Так это вы просто не там стоите - вам нужно отсюда пройти в очередь за "просто купить еще памяти".
А нам таки есть, чем занять системный диск, кроме надувных копий библиотек.

Ответить | Правка | Наверх | Cообщить модератору

140. "Релиз системы самодостаточных пакетов Flatpak 1.10.0"  +/
Сообщение от Анончик9999 (?), 18-Янв-21, 13:29 
Поставь себя на место разработчика, который решил поддерживать Linux и у которого нету ресурсов поддерживать зоопарк дистрибутивов да ещё и разных версий. Ты же потом стонать будешь, что больше не поддерживают твою любимую 18.04. И который хочет, чтобы програма хорошо была интегрырована в систему,чтобы можно было предельно ясно и просто собрать и распространять приложение. А с твоими рассуждениями в твоей любимой системе всегда будет дефицит софта.
Ответить | Правка | Наверх | Cообщить модератору

142. "Релиз системы самодостаточных пакетов Flatpak 1.10.0"  +/
Сообщение от тоже Анонимemail (ok), 18-Янв-21, 13:33 
> Поставь себя

На многовато мест мне надобно себя поставить, чтобы и поддерживать, и стонать. Но вы фантазируйте, не буду мешать. Только учтите, что в комменты под такой новостью редко заходят люди, которые не в курсе, что такое эти фат-пакеты и не представляют их предназначение и место в нынешней экосистеме.

Ответить | Правка | Наверх | Cообщить модератору

154. "Релиз системы самодостаточных пакетов Flatpak 1.10.0"  +/
Сообщение от iPony129412 (?), 18-Янв-21, 18:07 
> И который хочет, чтобы програма хорошо была интегрырована в систему,чтобы можно было предельно ясно и просто собрать и распространять приложение.

Так это не про Flatpak совсем

Ответить | Правка | К родителю #140 | Наверх | Cообщить модератору

149. "Релиз системы самодостаточных пакетов Flatpak 1.10.0"  +/
Сообщение от Аноним (148), 18-Янв-21, 17:40 
Зачем на системном? Эти самодостаточные можно на отдельном примонтированном разделе держать.
Ответить | Правка | К родителю #139 | Наверх | Cообщить модератору

153. "Релиз системы самодостаточных пакетов Flatpak 1.10.0"  +/
Сообщение от тоже Аноним (ok), 18-Янв-21, 17:51 
> Зачем на системном? Эти самодостаточные можно на отдельном примонтированном разделе держать.

Да хоть на вытянутых руках держите, только с подветренной стороны, пожалуйста.

Ответить | Правка | Наверх | Cообщить модератору

125. "Релиз системы самодостаточных пакетов Flatpak 1.10.0"  +/
Сообщение от Lex (??), 18-Янв-21, 06:43 
Оно в любом случае «распухнет», если разным приложениям на компе требуются разные версии библиотек.. только танцев с бубнами будет больше
Ответить | Правка | К родителю #39 | Наверх | Cообщить модератору

137. "Релиз системы самодостаточных пакетов Flatpak 1.10.0"  +/
Сообщение от Аноним (137), 18-Янв-21, 12:31 
DLL hell возникает, когда у тебя одна библиотека, которая может быть и 1.0.3, и 3.4.6, и хрен ты с этим что сделаешь, кроме перезаписывания и молитвы. Когда у тебя 100500 версий библиотек по разным путям это не DLL hell.
Ответить | Правка | К родителю #39 | Наверх | Cообщить модератору

145. "Релиз системы самодостаточных пакетов Flatpak 1.10.0"  +/
Сообщение от все такойже ононим как и всегда (?), 18-Янв-21, 13:50 
dllmess
Ответить | Правка | Наверх | Cообщить модератору

15. "Релиз системы самодостаточных пакетов Flatpak 1.10.0"  –5 +/
Сообщение от Аноним (15), 17-Янв-21, 13:38 
Зачем делать эти велосипеды, которые созданы для обходов недостатков архитектуры современных линуксов, вместо того чтобы сделать нормальную архитектуру линукс дистрибутивов? Программу 5 летней давности без плясок с бубном ни на одном дистре не запустить. А возьми 25-ти летнее приложение для Win 95 и оно запустится на Win 10, вот где головой думали, а не хайпом.
Ответить | Правка | Наверх | Cообщить модератору

16. "Релиз системы самодостаточных пакетов Flatpak 1.10.0"  –2 +/
Сообщение от Аноним (16), 17-Янв-21, 13:44 
Ты лжёшь, я без проблем пользуюсь ПО 20 летней давности, проблемы только из-за устаревших АПИ, если для них не придумали прослойку совместимости. А вот на венде если что-то не работает, то оно просто не работает, такое очень часто.
Ответить | Правка | Наверх | Cообщить модератору

18. "Релиз системы самодостаточных пакетов Flatpak 1.10.0"  –1 +/
Сообщение от Аноним (16), 17-Янв-21, 13:48 
По для линукса кстати превосходное, оно всегда скажет тебе чего и где им не хватает и что ему не нравится. Ты можешь сразу скачать/скомпилировать/пропатчить без проблем. Если ПО для венды не работает, то ты просто "приплыл".
Ответить | Правка | Наверх | Cообщить модератору

19. "Релиз системы самодостаточных пакетов Flatpak 1.10.0"  +/
Сообщение от Аноним (16), 17-Янв-21, 13:51 
Но что такое "не хватает" я даже не очень могу представить сейчас, обычно это поменявшийся soname у библиотеки. Можно даже симлинк с требуемым soname рядом положить и софтина с большой вероятностью будет работать. хотя часть символов могли удалить и она не обязана этого делать. В общем прекратите распространять эти сказки для бедных, в линуксе всё прекрасно.
Ответить | Правка | Наверх | Cообщить модератору

85. "Релиз системы самодостаточных пакетов Flatpak 1.10.0"  +/
Сообщение от Анончик99999 (?), 17-Янв-21, 23:46 
... без проблем. Да перестань чушь нести! Далеко не с любым старым софтом все так гладко проходит.
Ответить | Правка | К родителю #18 | Наверх | Cообщить модератору

99. "Релиз системы самодостаточных пакетов Flatpak 1.10.0"  +/
Сообщение от Аноним (16), 18-Янв-21, 00:53 
Так глупо утверждать что у венды что-то там работает, когда это тоже зависит от софта. И то что весь софт под венду собирают статикой (или хотя бы бандлят все зависимости) не помогает ни на йоту.
Ответить | Правка | Наверх | Cообщить модератору

104. "Релиз системы самодостаточных пакетов Flatpak 1.10.0"  +/
Сообщение от Анончик99999 (?), 18-Янв-21, 01:18 
Глупо утверждать, что у венды ничего работает.
Ответить | Правка | Наверх | Cообщить модератору

136. "Релиз системы самодостаточных пакетов Flatpak 1.10.0"  +/
Сообщение от Аноним (16), 18-Янв-21, 10:51 
> Глупо утверждать, что у венды ничего работает.

Почему глупо, если это так? Многие хомячки просто не в курсе. Либо потому, что совместимость(или костыли) добавили уже в скачаную ими версию, либо потому, что им очень повезло и софтина не выполнила format c: случающийся при определённых обстоятельствах или с некоторыми апдейтами.

Ответить | Правка | Наверх | Cообщить модератору

143. "Релиз системы самодостаточных пакетов Flatpak 1.10.0"  +/
Сообщение от Анончик9999 (?), 18-Янв-21, 13:34 
Бред какой-то. Чаще выходи на улицу, анон.
Ответить | Правка | Наверх | Cообщить модератору

147. "Релиз системы самодостаточных пакетов Flatpak 1.10.0"  +/
Сообщение от Аноним (16), 18-Янв-21, 17:13 
> Бред какой-то. Чаще выходи на улицу, анон.

Ты просто не шаришь, учись давай.

Ответить | Правка | Наверх | Cообщить модератору

141. "Релиз системы самодостаточных пакетов Flatpak 1.10.0"  +/
Сообщение от Анончик9999 (?), 18-Янв-21, 13:32 
Не всегда скажет. В большинстве случаев на совести разработчика про это тебе написать!
Ответить | Правка | К родителю #18 | Наверх | Cообщить модератору

150. "Релиз системы самодостаточных пакетов Flatpak 1.10.0"  +/
Сообщение от Аноним (148), 18-Янв-21, 17:43 
Утилитку ldd никто не отменял, если приложение само лично не сказало.
Ответить | Правка | Наверх | Cообщить модератору

32. "Релиз системы самодостаточных пакетов Flatpak 1.10.0"  +1 +/
Сообщение от DildoZilla (?), 17-Янв-21, 15:40 
Ну давай, накати на свежую убунту KDE2ю
Ответить | Правка | К родителю #16 | Наверх | Cообщить модератору

33. "Релиз системы самодостаточных пакетов Flatpak 1.10.0"  +/
Сообщение от Аноним (16), 17-Янв-21, 15:42 
CDE же накатил.
Ответить | Правка | Наверх | Cообщить модератору

73. "Релиз системы самодостаточных пакетов Flatpak 1.10.0"  +/
Сообщение от Аноним (73), 17-Янв-21, 22:36 
CDE накатил же. Накатил же CDE. Извините )
Ответить | Правка | Наверх | Cообщить модератору

17. "Релиз системы самодостаточных пакетов Flatpak 1.10.0"  –2 +/
Сообщение от Аноним (16), 17-Янв-21, 13:45 
>запустится

вот это кстати тоже ложь, даже в 8 не всегда работает софт от 7, что уж о более широких периодах говорить.

Ответить | Правка | К родителю #15 | Наверх | Cообщить модератору

22. "Релиз системы самодостаточных пакетов Flatpak 1.10.0"  –2 +/
Сообщение от Аноним (22), 17-Янв-21, 14:53 
За исключением дров, какой процент таких программ? 0,01? 0,001?
Ответить | Правка | Наверх | Cообщить модератору

25. "Релиз системы самодостаточных пакетов Flatpak 1.10.0"  –3 +/
Сообщение от Аноним (16), 17-Янв-21, 15:05 
Половина игрушек(если не больше), а что?
Ответить | Правка | Наверх | Cообщить модератору

26. "Релиз системы самодостаточных пакетов Flatpak 1.10.0"  +1 +/
Сообщение от Аноним (16), 17-Янв-21, 15:08 
> Половина игрушек(если не больше), а что?

А вот порты сделанные loki software работают и 20 лет спустя вполне прилично, хотя пропасть между технологиями за эти оды просто безумная и в линуксе особо о совмести никогда не заботились (кроме пары проектов, где совместимость это пунктик, типа glibc).

Ответить | Правка | Наверх | Cообщить модератору

100. "Релиз системы самодостаточных пакетов Flatpak 1.10.0"  +/
Сообщение от Аноним (16), 18-Янв-21, 00:57 
> За исключением дров, какой процент таких программ? 0,01? 0,001?

Вообще практически весь софт несовместим не то что с разными версиями, но зачастую даже с соседними апдейтами. И 100 гигабайт протушхих либ на диске что-то ни разу не помогают венде. Я лично наблюдал проблемы несчётное число раз.

Ответить | Правка | К родителю #22 | Наверх | Cообщить модератору

20. "Релиз системы самодостаточных пакетов Flatpak 1.10.0"  –3 +/
Сообщение от Аноним (6), 17-Янв-21, 13:58 
Винда - платная ширпотребная программа. Они могут себе позволить платить людям зарплату за то, чтобы у **платящего** пользователя всё было хорошо. Линукс для пользователей "бесплатно-без-смс", просто потому что на пользователей там абсолютно насрaть. Не для них делалось, поэтому как раз для них и бесплатно, объедки с барского стола. Отсюда и 12309 (на серверах обычно файрфоксы не запускают, а те, кто запускают - это серьёзные ребята с серьёзными серверами за серьёзные (по меркам серверов) деньги), отсюда и всё остальные десктопопроблемы. Корпорации, для которых делается, же платят, и нехило. Поэтому их интересы и в приоритете. Все эти SGXы и прочая копирастия в ядре - она не от вас, вам копирасты просто предложат поставить винду и использовать их программы, защищённые SGX, оттуда.

Космонавт давно уже понял, что с виндой конкурировать не может, именно поэтому тратить деньги на исправление десктопопроблем и не спешит - не окупится никогда.

Ответить | Правка | К родителю #15 | Наверх | Cообщить модератору

21. "Релиз системы самодостаточных пакетов Flatpak 1.10.0"  +1 +/
Сообщение от Леголас (ok), 17-Янв-21, 14:14 
минута анонимной аналитики на опеннет.ру
Ответить | Правка | Наверх | Cообщить модератору

24. "Релиз системы самодостаточных пакетов Flatpak 1.10.0"  +1 +/
Сообщение от Redhahhh (?), 17-Янв-21, 14:59 
Тут все анонимы. Никто же паспорт не показывает. А, вдрук, ты старая бабушка, которая у внука отобрала ноутбук?
Ответить | Правка | Наверх | Cообщить модератору

43. "Релиз системы самодостаточных пакетов Flatpak 1.10.0"  +/
Сообщение от qasar (?), 17-Янв-21, 16:40 
> Отсюда и 12309
> Космонавт

Космонавт то тут причём, это всё еврофинн Торвальдс, а у его лапки, а в лапках акции Шляпки, а Шляпку проблема 12309 не ипёт.

Ответить | Правка | К родителю #20 | Наверх | Cообщить модератору

52. "Релиз системы самодостаточных пакетов Flatpak 1.10.0"  –1 +/
Сообщение от Аноним (6), 17-Янв-21, 18:04 
Космонавт якобы хотел сделать Linux great 4ever. Если бы он заплатил за патч для 12309, его программеры разработали бы его и внедрили в убунту, то Т. не смог бы ничего поделать, даже если бы Т. забраковал патч и помахал средним пальцем, другие бы дистры всё равно бы патч утащили.

Но Космонавту это не надо. По-видимому, затраты на разработку и внедрение этого патча не окупятся никогда. Корпорациям не нужно, а обычные пользователи и копейки не дадут.

Ответить | Правка | Наверх | Cообщить модератору

86. "Релиз системы самодостаточных пакетов Flatpak 1.10.0"  +/
Сообщение от Анончик99999 (?), 17-Янв-21, 23:53 
космонавту надо было хотябы 30$ выставить за LTS-дистрибутив в год по подписочке.
Ответить | Правка | К родителю #20 | Наверх | Cообщить модератору

108. "Релиз системы самодостаточных пакетов Flatpak 1.10.0"  +/
Сообщение от FixingGunsInAir (ok), 18-Янв-21, 01:55 
12309? Батенька, да вы некрофил. Он давно уже решён.
Ответить | Правка | К родителю #20 | Наверх | Cообщить модератору

74. "Релиз системы самодостаточных пакетов Flatpak 1.10.0"  +2 +/
Сообщение от Аноним (72), 17-Янв-21, 22:42 
Правда твоя аноним, федора например, по опыту деградирует на третий год :) Приложения в винде - без проблем работают какого то 2005 бородатого года (15 летней давности). Чуть чуть версию glibc или glibc++ подправили и все - прога нерабочая. Можно виртуальную машину с виндой запускать :)
Умники с советами собрать из сырцов идут лесом - свое время дороже.
Ответить | Правка | К родителю #15 | Наверх | Cообщить модератору

87. "Релиз системы самодостаточных пакетов Flatpak 1.10.0"  +/
Сообщение от Анончик99999 (?), 17-Янв-21, 23:56 
еще большая удача, если все успешно собралось!
Ответить | Правка | Наверх | Cообщить модератору

152. "Релиз системы самодостаточных пакетов Flatpak 1.10.0"  +/
Сообщение от Аноним (148), 18-Янв-21, 17:50 
Ну если у кого система pure 64-bit, то да, с большой вероятностью прога 2005 г. не соберётся.
Ответить | Правка | Наверх | Cообщить модератору

83. "Релиз системы самодостаточных пакетов Flatpak 1.10.0"  +/
Сообщение от Анончик99999 (?), 17-Янв-21, 23:44 
так flatpack-программой ты сможешь пользоваться сколько захочешь на всех дистрах, которые ее поддерживают. Другое дело с версиями. Flatpack будет в фоне инкрементально обновлять твою прогу до самой свежей версии. Интересно, как вот на счет платного проприоритарного софта, слышал, Snap хорошо для таких прог подходит.
Ответить | Правка | К родителю #15 | Наверх | Cообщить модератору

107. "Релиз системы самодостаточных пакетов Flatpak 1.10.0"  +2 +/
Сообщение от FixingGunsInAir (ok), 18-Янв-21, 01:50 
> Интересно, как вот на счет платного проприоритарного софта

Тут несколько вариантов:
1. Создаётся Store для контейнеров, в который они по доброй воле выкладывают и обновляют.
2. Какой-нибудь Adobe делает свой репозиторий Flatpak и распространяет flatpakref или bundle через сайт. Контроль оплаты у них уже с помощью подписки происходит. В качестве репозитория может выступать OCI Registry, в том числе. Доступ в OCI Registry может быть запаролен, ЕМНИП.
3. Вася Пупкин из .run файла умудряется сделать контейнер, путём запихивания его бинарников в нужные места. И выкладывает в репозиторий.

Тут ключевое слово контейнер. Flatpak - это средство для запуска Docker-контейнеров с софтом для десктопа. Ну и стандарт для этих самых контейнеров, одновременно.

> Snap хорошо для таких прог подходит.

Это миф убунтохомячков. Просто он не накладывает таких ограничений на доступ к хостовой системе, а значит софт, который приучен работать по старинке, не так сильно нужно модифицировать. Просто используй Classic confinement и можешь вертеть на болте их сэндбоксы какие-то. Хоть .ssh читай, хоть профили браузеров. Я уже молчу, что они пропогандируют "универсальность" Snap, но на самом деле это профанация, т.к. confinement вообще не работает где-то кроме Ubuntu. На других дистрибутивах Snap ничем не отличается от AppImage.

А потом корпорации, вроде Microsoft, на этом хайпанули и выложили официальные сборки в Snapcraft. Гордо заявив, что они опакетили свой говнософт для Linux, причём для всех сразу. Кушайте, не обляпайтесь.

Ответить | Правка | Наверх | Cообщить модератору

121. "Релиз системы самодостаточных пакетов Flatpak 1.10.0"  +/
Сообщение от iPony129412 (?), 18-Янв-21, 05:30 
> как вот на счет платного проприоритарного софта, слышал, Snap хорошо для таких прог подходит.

Вообще в API была добавлена опция для поддержки оплаты давно.
Но в итоге забили. Разве что платные по подписке есть (со своим сервисом).

Ответить | Правка | К родителю #83 | Наверх | Cообщить модератору

105. "Релиз системы самодостаточных пакетов Flatpak 1.10.0"  +/
Сообщение от FixingGunsInAir (ok), 18-Янв-21, 01:30 
>Зачем делать эти велосипеды, которые созданы для обходов недостатков архитектуры современных линуксов, вместо того чтобы сделать нормальную архитектуру линукс дистрибутивов?

Потому что тогда придётся сделать единый дистрибутив с блекджеком и шлюхами, который должен устраивать всех. А остальные закрыть.

Надеюсь, тебе не нужно объяснять, почему это не сработает.

Пока есть свобода не соблюдать эту архитектуру, кто-то её соблюдать НЕ БУДЕТ. Да ещё будет с важным видом попёрдывать из-за угла, что он на самом деле прав, это вы идиоты.

Ответить | Правка | К родителю #15 | Наверх | Cообщить модератору

27. "Релиз системы самодостаточных пакетов Flatpak 1.10.0"  +1 +/
Сообщение от user90 (?), 17-Янв-21, 15:16 
Флатфак ;) Вендовенько..
Ответить | Правка | Наверх | Cообщить модератору

40. "Релиз системы самодостаточных пакетов Flatpak 1.10.0"  +3 +/
Сообщение от Аноним (37), 17-Янв-21, 16:11 
Осталось дождаться появления собственных ядер внутри пакетов...
Ответить | Правка | Наверх | Cообщить модератору

28. "Релиз системы самодостаточных пакетов Flatpak 1.10.0"  +/
Сообщение от Аноним (-), 17-Янв-21, 15:16 
>Пользователям, интересующимся новинками, Flatpak позволяет установить самые свежие тестовые и стабильные выпуски приложений

Ну такой запах свежести https://github.com/flathub/com.xnview.XnViewMP/issues/5 "gimp не просмоторщик"

Ответить | Правка | Наверх | Cообщить модератору

109. "Релиз системы самодостаточных пакетов Flatpak 1.10.0"  +/
Сообщение от FixingGunsInAir (ok), 18-Янв-21, 01:58 
Это пакет от энтузиаста. Если он забил хер, можешь ты обновить.
Ответить | Правка | Наверх | Cообщить модератору

119. "Релиз системы самодостаточных пакетов Flatpak 1.10.0"  +/
Сообщение от Анончик99999 (?), 18-Янв-21, 04:21 
На офф. сайте разработчика есть .deb-, appimage-пакеты, tar.gz-архив.
Актуальная версия XnView MP - 0.98. По ходу автор забил на Flatpack, или энтузиасты, которые выкладывали freeware на Flathub.
Ответить | Правка | К родителю #28 | Наверх | Cообщить модератору

134. "Релиз системы самодостаточных пакетов Flatpak 1.10.0"  +/
Сообщение от Аноним (134), 18-Янв-21, 10:20 
Автар готовит аппимедж. Флатпак это ктото другой.
Ответить | Правка | К родителю #28 | Наверх | Cообщить модератору

30. "Релиз системы самодостаточных пакетов Flatpak 1.10.0"  +/
Сообщение от Док (?), 17-Янв-21, 15:34 
Неудобно ручками запускать приложения flatpak run app
Есть другой способ?
Ответить | Правка | Наверх | Cообщить модератору

34. "Релиз системы самодостаточных пакетов Flatpak 1.10.0"  –1 +/
Сообщение от linxon (ok), 17-Янв-21, 15:48 
в федоре сделано вот так:

XDG_DATA_DIRS=/home/linxon/.local/share/flatpak/exports/share:/var/lib/flatpak/exports/share:/usr/local/share/:/usr/share/

Ответить | Правка | Наверх | Cообщить модератору

70. "Релиз системы самодостаточных пакетов Flatpak 1.10.0"  +/
Сообщение от Аноним (70), 17-Янв-21, 21:48 
PATH=$PATH:/var/lib/flatpak/exports/bin/ и тоже самое для пути в папке хоум. Запускать соответственно org.…
А ярлык в меню появляется сам по себе.
Ответить | Правка | К родителю #30 | Наверх | Cообщить модератору

88. "Релиз системы самодостаточных пакетов Flatpak 1.10.0"  +1 +/
Сообщение от Анончик99999 (?), 17-Янв-21, 23:59 
в Linux Mint ярлычки в меню и на рабочем столе. Все уютненько, аккуратно, по виду даже не различишь, что flatpack-программа! В Менеджере программ тоже присутствует в отдельной категории. Поиск, установка, все просто...
Ответить | Правка | К родителю #30 | Наверх | Cообщить модератору

31. "Релиз системы самодостаточных пакетов Flatpak 1.10.0"  +/
Сообщение от Аноним (31), 17-Янв-21, 15:39 
Тот же snap по умолчанию не включен в Минте по соображениям безопасности, а flatpak присутствует. Кто знает почему? Системы вроде бы схожи.
Ответить | Правка | Наверх | Cообщить модератору

36. "Релиз системы самодостаточных пакетов Flatpak 1.10.0"  +3 +/
Сообщение от Аноним (7), 17-Янв-21, 15:59 
снап работает демоном, чет там самостоятельно выкачивая/отсылая
у снапа нет репозиториев сообщества, основная репа контролируется каноникалом
Ответить | Правка | Наверх | Cообщить модератору

41. "Релиз системы самодостаточных пакетов Flatpak 1.10.0"  –5 +/
Сообщение от iPony129412 (?), 17-Янв-21, 16:26 
Так это одни плюсы 👌
Ответить | Правка | Наверх | Cообщить модератору

45. "Релиз системы самодостаточных пакетов Flatpak 1.10.0"  +1 +/
Сообщение от user90 (?), 17-Янв-21, 16:55 
На C ничего нет?))
Ответить | Правка | Наверх | Cообщить модератору

80. "Релиз системы самодостаточных пакетов Flatpak 1.10.0"  +1 +/
Сообщение от Аноньимъ (ok), 17-Янв-21, 23:27 
Есть только раст.
Ответить | Правка | Наверх | Cообщить модератору

95. "Релиз системы самодостаточных пакетов Flatpak 1.10.0"  +1 +/
Сообщение от Аноним (37), 18-Янв-21, 00:26 
за него и держись
Ответить | Правка | Наверх | Cообщить модератору

59. "Релиз системы самодостаточных пакетов Flatpak 1.10.0"  +1 +/
Сообщение от Аноним (70), 17-Янв-21, 19:20 
снап обновляется без спросу не известно на что. Не ставь снап всегда выбирай аппимадж.
Ответить | Правка | К родителю #31 | Наверх | Cообщить модератору

89. "Релиз системы самодостаточных пакетов Flatpak 1.10.0"  +/
Сообщение от Анончик99999 (?), 18-Янв-21, 00:01 
В Linux Mint 20 удалили... Читай в тогдашних новостях. Но вернуть можно, удалив с черного списка. Рецепт в инете просто можно найти.
Ответить | Правка | К родителю #31 | Наверх | Cообщить модератору

120. "Релиз системы самодостаточных пакетов Flatpak 1.10.0"  +/
Сообщение от Аноним (120), 18-Янв-21, 04:56 
Снап тормозной как в плане установки приложений так и в холодном старте программы, Снап запутывает пользователей apt из-за дублирования пакетов и по дефолту предлагая свои глючные версии вместо нативных. Пример: хромиум.
Ответить | Правка | К родителю #31 | Наверх | Cообщить модератору

38. "Релиз системы самодостаточных пакетов Flatpak 1.10.0"  +1 +/
Сообщение от Аноним (38), 17-Янв-21, 16:04 
Годнота. А как определить куда лезет приложение при запуске? Типо аудита что ли.
Ответить | Правка | Наверх | Cообщить модератору

42. "Релиз системы самодостаточных пакетов Flatpak 1.10.0"  +2 +/
Сообщение от qasar (?), 17-Янв-21, 16:35 
Chromium и VLC в Ubuntu есть только в snap (те же яйца), жду когда им будет лень собирать Мозиллу и, сдрысну на винду, ибо там это изначально и никто ничего не обещал. Systemd, flat, snap, пошли вы в опу!
Ответить | Правка | Наверх | Cообщить модератору

44. "Релиз системы самодостаточных пакетов Flatpak 1.10.0"  +/
Сообщение от user90 (?), 17-Янв-21, 16:52 
> Systemd, flat, snap, пошли вы в опу!

Еще с размаха врежь себе по роже - дистрибутив же сам выбирал)

Ответить | Правка | Наверх | Cообщить модератору

49. "Релиз системы самодостаточных пакетов Flatpak 1.10.0"  +2 +/
Сообщение от BrainFucker (ok), 17-Янв-21, 17:53 
> Еще с размаха врежь себе по роже - дистрибутив же сам выбирал)

Выбирай не выбирай, что толку, сейчас официальные сборки некоторых приложений разработчиками распространяются либо через snap, либо через flatpak, так что ползователю приходится иметь обе эти вундервафли.
Официальный клиент Let's Encrypt например теперь только через snap, из-за чего отказался от него и перешёл на acme.sh

Мне поэтому из всего этого больше нравится AppImage за его гениальную простоту и отсутствия необходимости ставить дополнительный менеджер пакетов какой-то. Просто скачал программу и запустил, всё.

Ответить | Правка | Наверх | Cообщить модератору

51. "Релиз системы самодостаточных пакетов Flatpak 1.10.0"  +/
Сообщение от user90 (?), 17-Янв-21, 18:02 
> сборки некоторых приложений разработчиками распространяются либо через snap, либо через flatpak

А некоторые - вообще только под венду, прикинь)

> нравится AppImage за его гениальную простоту

В сортах не разбираюсь, гг.

Ответить | Правка | Наверх | Cообщить модератору

46. "Релиз системы самодостаточных пакетов Flatpak 1.10.0"  +2 +/
Сообщение от iPony129412 (?), 17-Янв-21, 17:17 
> VLC в Ubuntu есть только в snap

ложь.

Ответить | Правка | К родителю #42 | Наверх | Cообщить модератору

54. "Релиз системы самодостаточных пакетов Flatpak 1.10.0"  +/
Сообщение от Сишникemail (?), 17-Янв-21, 18:51 
Можно от дебиана репу подключить и оттуда поставить хромиум без шлакпака.
Ответить | Правка | К родителю #42 | Наверх | Cообщить модератору

75. "Релиз системы самодостаточных пакетов Flatpak 1.10.0"  +/
Сообщение от Аноним (73), 17-Янв-21, 22:43 
GNU/Linux для дома мёртв.
Ответить | Правка | К родителю #42 | Наверх | Cообщить модератору

90. "Релиз системы самодостаточных пакетов Flatpak 1.10.0"  –1 +/
Сообщение от Анончик99999 (?), 18-Янв-21, 00:04 
можно работать, если знаешь для чего нужно.
Ответить | Правка | Наверх | Cообщить модератору

93. "Релиз системы самодостаточных пакетов Flatpak 1.10.0"  +/
Сообщение от Аноним (72), 18-Янв-21, 00:19 
>пошли вы в опу!

Экий месье нервный, а я вот перешел на виндовые версии моих приложений, через vmware. Счас когда наберется процент больше чем под линухом точно винду установлю XD

Ответить | Правка | К родителю #42 | Наверх | Cообщить модератору

48. "Релиз системы самодостаточных пакетов Flatpak 1.10.0"  +1 +/
Сообщение от BrainFucker (ok), 17-Янв-21, 17:45 
> упростить распространение своих программ, не входящих в штатные репозитории дистрибутивов

А установить приложение не из интернет можно? Как можно с AppImage, например.

Ответить | Правка | Наверх | Cообщить модератору

61. "Релиз системы самодостаточных пакетов Flatpak 1.10.0"  +/
Сообщение от Аноним (60), 17-Янв-21, 19:42 
> А установить приложение не из интернет можно? Как можно с AppImage, например.

Нет, а иначе как Большой Брат будет втюхивать хомячью свои дырявые бинарники?!

Ответить | Правка | Наверх | Cообщить модератору

71. "Релиз системы самодостаточных пакетов Flatpak 1.10.0"  –1 +/
Сообщение от Аноним (70), 17-Янв-21, 21:49 
И как его распространять на болванках в переходе?
Ответить | Правка | К родителю #48 | Наверх | Cообщить модератору

91. "Релиз системы самодостаточных пакетов Flatpak 1.10.0"  +/
Сообщение от Анончик99999 (?), 18-Янв-21, 00:06 
Можно ставить не из Flathub. То есть ставить с других хранилищ, а в случае отсутствии интернета, с локального пакета.
Ответить | Правка | К родителю #48 | Наверх | Cообщить модератору

97. "Релиз системы самодостаточных пакетов Flatpak 1.10.0"  +1 +/
Сообщение от BrainFucker (ok), 18-Янв-21, 00:45 
> Можно ставить не из Flathub. То есть ставить с других хранилищ, а
> в случае отсутствии интернета, с локального пакета.

То есть там предусмотрена такая возможность одно приложение - один файл? А как его получить из репозитория чтобы потом на другой машине установить?

Ответить | Правка | Наверх | Cообщить модератору

103. "Релиз системы самодостаточных пакетов Flatpak 1.10.0"  +/
Сообщение от Аноним (37), 18-Янв-21, 01:08 
Это страшная тайта свидетелей фэтфака, никто не знает, как это сделать, но верят, что вроде можно.
Ответить | Правка | Наверх | Cообщить модератору

106. "Релиз системы самодостаточных пакетов Flatpak 1.10.0"  +1 +/
Сообщение от Анончик99999 (?), 18-Янв-21, 01:36 
даже если ты его получишь, потом будут проблемы еще и с runtime без подключения к сети.
Ответить | Правка | К родителю #97 | Наверх | Cообщить модератору

112. "Релиз системы самодостаточных пакетов Flatpak 1.10.0"  –2 +/
Сообщение от FixingGunsInAir (ok), 18-Янв-21, 02:08 
Просто нужно экспортировать сразу и runtime. В чём проблема?

Если хочешь, чтобы одной командой, patches are welcome.

Ответить | Правка | Наверх | Cообщить модератору

123. "Релиз системы самодостаточных пакетов Flatpak 1.10.0"  +/
Сообщение от Анончик99999 (?), 18-Янв-21, 06:04 
> Просто нужно экспортировать сразу и runtime. В чём проблема?
> Если хочешь, чтобы одной командой, patches are welcome.

Проблема в том, что можно забыть.


Ответить | Правка | Наверх | Cообщить модератору

111. "Релиз системы самодостаточных пакетов Flatpak 1.10.0"  +/
Сообщение от FixingGunsInAir (ok), 18-Янв-21, 02:07 
https://docs.flatpak.org/en/latest/single-file-bundles.html

Но они советуют всё-таки использовать create-usb:
https://docs.flatpak.org/en/latest/usb-drives.html

Ответить | Правка | К родителю #97 | Наверх | Cообщить модератору

124. "Релиз системы самодостаточных пакетов Flatpak 1.10.0"  +/
Сообщение от Анончик99999 (?), 18-Янв-21, 06:14 
> https://docs.flatpak.org/en/latest/single-file-bundles.html
> Но они советуют всё-таки использовать create-usb:
> https://docs.flatpak.org/en/latest/usb-drives.html

Спасибо! Я пока только поверхностно познакомился с Flatpack, но где-то через месяц-два буду разбираться в документации, буду паковать свое приложение. А нужен доступ и до оборудования (для генерации серийника), и до системных утилит, и до путей хоста.
Помню, раньше установил snap-пакет программы outwiker. Открыл доступ к путям хоста, но разделы в NTFS и скрытые каталоги почему-то программа не видела. Посмотрим, не будет ли подобных ограничений у Flatpack.

Ответить | Правка | Наверх | Cообщить модератору

132. "Релиз системы самодостаточных пакетов Flatpak 1.10.0"  +/
Сообщение от Аноньимъ (ok), 18-Янв-21, 07:42 
Вирус шифровальщик делаете?
Ответить | Правка | Наверх | Cообщить модератору

144. "Релиз системы самодостаточных пакетов Flatpak 1.10.0"  +/
Сообщение от Анончик9999 (?), 18-Янв-21, 13:41 
Нет.
Ответить | Правка | Наверх | Cообщить модератору

110. "Релиз системы самодостаточных пакетов Flatpak 1.10.0"  +/
Сообщение от FixingGunsInAir (ok), 18-Янв-21, 02:04 
Есть поддержка bundle, которые устанавливают полностью оффлайн. Есть поддержка репозитория на usb-дисках.
Ответить | Правка | К родителю #48 | Наверх | Cообщить модератору

50. "Релиз системы самодостаточных пакетов Flatpak 1.10.0"  –1 +/
Сообщение от Аноним (50), 17-Янв-21, 17:59 
При установке хромиум из флатпаков или снапов заработает ли аппаратное ускорение через vaapi?
Ответить | Правка | Наверх | Cообщить модератору

55. "Релиз системы самодостаточных пакетов Flatpak 1.10.0"  +/
Сообщение от iPony129412 (?), 17-Янв-21, 19:09 
Зависит от кучи факторов.
В теории должно и работает на практике.
Но сказать про конкретную конфигурацию сложно.

Короче почти как с обычным Chromium.

Ответить | Правка | Наверх | Cообщить модератору

56. "Релиз системы самодостаточных пакетов Flatpak 1.10.0"  +3 +/
Сообщение от Аноним (37), 17-Янв-21, 19:14 
> Зависит... В теории... сложно сказать... почти...

Суть всех современных свистопирделок.

Ответить | Правка | Наверх | Cообщить модератору

57. "Релиз системы самодостаточных пакетов Flatpak 1.10.0"  –2 +/
Сообщение от iPony129412 (?), 17-Янв-21, 19:15 
Линукса чтоли? Как-то не особо он новый...
Ответить | Правка | Наверх | Cообщить модератору

58. "Релиз системы самодостаточных пакетов Flatpak 1.10.0"  –1 +/
Сообщение от Аноним (70), 17-Янв-21, 19:19 
ставь оффтопик.
Ответить | Правка | К родителю #56 | Наверх | Cообщить модератору

63. "Релиз системы самодостаточных пакетов Flatpak 1.10.0"  +1 +/
Сообщение от triolan (?), 17-Янв-21, 20:29 
> > Зависит... В теории... сложно сказать... почти...

Может, но пока нет (c)

Ответить | Правка | К родителю #56 | Наверх | Cообщить модератору

126. "Релиз системы самодостаточных пакетов Flatpak 1.10.0"  +/
Сообщение от iPony129412 (?), 18-Янв-21, 06:45 
Как и с обычным Chromium.
Что Flatpak, что SNAP разве что прижмёт пользователей проприетарного драйвера Nvidia.
Но это и без них около того же.
Ответить | Правка | Наверх | Cообщить модератору

92. "Релиз системы самодостаточных пакетов Flatpak 1.10.0"  +/
Сообщение от Анончик99999 (?), 18-Янв-21, 00:07 
С осени работает.
Ответить | Правка | К родителю #50 | Наверх | Cообщить модератору

113. "Релиз системы самодостаточных пакетов Flatpak 1.10.0"  +/
Сообщение от FixingGunsInAir (ok), 18-Янв-21, 02:10 
Если Chromium собран с нужным патчем - да. Но собран ли в Flathub - гарантировать не могу. Все претензии - к Google. Если очень хочешь - собери сам.

VLC никто не мешает использовать VAAPI из flatpak.

Ответить | Правка | К родителю #50 | Наверх | Cообщить модератору

127. "Релиз системы самодостаточных пакетов Flatpak 1.10.0"  +/
Сообщение от iPony129412 (?), 18-Янв-21, 06:45 
Претензии к Гугл по Chrome, а вы там уж как-то сами.
Ответить | Правка | Наверх | Cообщить модератору

64. "Релиз системы самодостаточных пакетов Flatpak 1.10.0"  +/
Сообщение от Аноним (64), 17-Янв-21, 20:42 
Чем это лучше nix и guix?
Ответить | Правка | Наверх | Cообщить модератору

68. "Релиз системы самодостаточных пакетов Flatpak 1.10.0"  +2 +/
Сообщение от псевдонимус (?), 17-Янв-21, 21:01 
Ничем. Первое наркомания, другие два для инопланетян.
Ответить | Правка | Наверх | Cообщить модератору

69. "Релиз системы самодостаточных пакетов Flatpak 1.10.0"  +/
Сообщение от Аноним (69), 17-Янв-21, 21:02 
> и guix?

95% анонов не в состоянии его осилить :)

Ответить | Правка | К родителю #64 | Наверх | Cообщить модератору

131. "Релиз системы самодостаточных пакетов Flatpak 1.10.0"  +/
Сообщение от Гы (?), 18-Янв-21, 07:26 
Guix не только анонимусы поставить не могут, но и многие продвинутые пользователи Linux. Банально, но нужно попыхтеть с перекомпеляцией ядра на стадии установки для того, чтобы твоя видеокарту начала отдачу видео. Загрузка же блобов от видеокарту и не только запрещён в LibreKernel. Вот так разработчики выстрелили себе в ногу и отпугнули возможных пользователей своего дистрибутива. Даже Fedora при всей своей строгости к лицензиям и наличию открытых исходников понимает, что нужно по дефолту поставлять бинарные прошивки для устройств.
Ответить | Правка | Наверх | Cообщить модератору

114. "Релиз системы самодостаточных пакетов Flatpak 1.10.0"  +/
Сообщение от FixingGunsInAir (ok), 18-Янв-21, 02:15 
Ты сравниваешь контейнеровоз с космическим крейсером из Star Trek.
Ответить | Правка | К родителю #64 | Наверх | Cообщить модератору

67. "Релиз системы самодостаточных пакетов Flatpak 1.10.0"  +3 +/
Сообщение от Аноним (67), 17-Янв-21, 20:58 
> При обновлении теперь вначале устанавливается новая версия приложения и только потом удаляется старая, т.е. сбой при установке теперь не приводит к пропаданию приложения.

Ну этим все сказано об этом софте. Ржака еще та... Используйте не обляпайтесь лошки...

Ответить | Правка | Наверх | Cообщить модератору

76. "Релиз системы самодостаточных пакетов Flatpak 1.10.0"  +1 +/
Сообщение от Аноним (37), 17-Янв-21, 23:07 
> сбой при установке

дожили...

Ответить | Правка | Наверх | Cообщить модератору

115. "Релиз системы самодостаточных пакетов Flatpak 1.10.0"  –4 +/
Сообщение от FixingGunsInAir (ok), 18-Янв-21, 02:19 
Ну да, ну да. Только тут сбой при установке всего-лишь похерил приложение, которое можно установить снова.

А какие сбои при установке пакетов в неизолированных окружениях бывают, вплоть до rm -rf /usr. Это кому ты тут советуешь не обляпаться? :D

Ответить | Правка | К родителю #67 | Наверх | Cообщить модератору

84. "Релиз системы самодостаточных пакетов Flatpak 1.10.0"  +/
Сообщение от анонъчик (?), 17-Янв-21, 23:46 
С учётом истории предыдущих нововведений Шапки, в связке с Сильверблю — возможно, будущее линуксового десктопа (как бы кто не относился к этому).
Ответить | Правка | Наверх | Cообщить модератору

94. "Релиз системы самодостаточных пакетов Flatpak 1.10.0"  +2 +/
Сообщение от Аноним (37), 18-Янв-21, 00:23 
Будущее - за приложениями со статической линковкой ядра, выполняющимися в виртуалках.
Ответить | Правка | Наверх | Cообщить модератору

101. "Релиз системы самодостаточных пакетов Flatpak 1.10.0"  +/
Сообщение от Аноним (101), 18-Янв-21, 01:03 
Ты хотел сказать за Electron?
Ответить | Правка | Наверх | Cообщить модератору

102. "Релиз системы самодостаточных пакетов Flatpak 1.10.0"  +3 +/
Сообщение от Аноним (37), 18-Янв-21, 01:06 
со статической линковкой ядра. Если не в курсе, что это такое, поинтересуйся на досуге.
Ответить | Правка | Наверх | Cообщить модератору

130. "Релиз системы самодостаточных пакетов Flatpak 1.10.0"  +/
Сообщение от Аноним (130), 18-Янв-21, 07:22 
Все в wasm там всё статическое.
Ответить | Правка | Наверх | Cообщить модератору

151. "Релиз системы самодостаточных пакетов Flatpak 1.10.0"  +1 +/
Сообщение от Аноним (37), 18-Янв-21, 17:49 
Вокруг Васяна надо круг мелом на полу рисовать, чтобы из того круга никакая нечисть не вылезла наружу.
Ответить | Правка | Наверх | Cообщить модератору

98. "Релиз системы самодостаточных пакетов Flatpak 1.10.0"  +2 +/
Сообщение от Аноним (101), 18-Янв-21, 00:47 
Флатпаком хорошую вещь не назовут
Ответить | Правка | Наверх | Cообщить модератору

118. "Релиз системы самодостаточных пакетов Flatpak 1.10.0"  +1 +/
Сообщение от Соня Мармеладова (?), 18-Янв-21, 03:33 
Фигово че то. Надо гипервизор и каждый апп в отдельном инстансе ОС. Тогда победим.
Ответить | Правка | Наверх | Cообщить модератору

129. "Релиз системы самодостаточных пакетов Flatpak 1.10.0"  +1 +/
Сообщение от Аноним (130), 18-Янв-21, 07:22 
Не подсказывай им.
Ответить | Правка | Наверх | Cообщить модератору

133. "Релиз системы самодостаточных пакетов Flatpak 1.10.0"  +1 +/
Сообщение от Аноним (133), 18-Янв-21, 08:46 
гугли Qubes OS
Ответить | Правка | К родителю #118 | Наверх | Cообщить модератору

155. "Релиз системы самодостаточных пакетов Flatpak 1.10.0"  +1 +/
Сообщение от псевдонимус (?), 18-Янв-21, 18:08 
Практически вкорячили докер на дсктоп. Докер гойловного мозга.
Ответить | Правка | Наверх | Cообщить модератору

156. "Релиз системы самодостаточных пакетов Flatpak 1.10.0"  +4 +/
Сообщение от Аноним (156), 18-Янв-21, 18:40 
когда я устаовил убунту на распберри 4б 8gb то заметил, что два процесса в простое жруг процессор, и память

это были:
flatpack  ~1GB
pulseaudio ~1GB

Ответить | Правка | Наверх | Cообщить модератору

157. "Релиз системы самодостаточных пакетов Flatpak 1.10.0"  +1 +/
Сообщение от Аноним (37), 18-Янв-21, 19:57 
ну, с пульсой - понятно, её потеринг писал. А фэтфак - кто?
Ответить | Правка | Наверх | Cообщить модератору

158. "Релиз системы самодостаточных пакетов Flatpak 1.10.0"  +1 +/
Сообщение от Аноним (158), 18-Янв-21, 21:25 
Релиз хомячковой поделки для неосиляторов пакетных систем/портов
Ответить | Правка | Наверх | Cообщить модератору

160. "Релиз системы самодостаточных пакетов Flatpak 1.10.0"  +/
Сообщение от анонэ (?), 18-Янв-21, 23:15 
Пакетные менеджеры как раз практически невозможно не осилить - они предельно просты и понятны. Этот же хронический ужас (как и Nix) - попытка умалишённых запилить linsxs, чтобы установка и обновление софта доставляло столько же проблем, что и на винде.
Ответить | Правка | Наверх | Cообщить модератору

162. "Релиз системы самодостаточных пакетов Flatpak 1.10.0"  +/
Сообщение от Аноним (162), 21-Янв-21, 06:58 
> Пакетные менеджеры как раз практически невозможно не осилить - они предельно просты и понятны

Но хомяки не ослилили и запилили флатошлаки. Потому и качество софта в них такое.

Ответить | Правка | Наверх | Cообщить модератору

161. "Релиз системы самодостаточных пакетов Flatpak 1.10.0"  –1 +/
Сообщение от Аноним (161), 19-Янв-21, 20:19 
https://i.ibb.co/1JLwR2S/adobe.png
Ответить | Правка | Наверх | Cообщить модератору

163. "Релиз системы самодостаточных пакетов Flatpak 1.10.0"  +/
Сообщение от Аноним (162), 21-Янв-21, 06:59 
Во, неосилятор.
Ответить | Правка | Наверх | Cообщить модератору

167. "Релиз системы самодостаточных пакетов Flatpak 1.10.0"  +/
Сообщение от Аноним (161), 21-Янв-21, 21:46 
Флэш запрещён. Кто пытается поставить флэш, тот не очень дружественно настроен к пользователю. Или одно из двух )
Ответить | Правка | Наверх | Cообщить модератору

165. "Релиз системы самодостаточных пакетов Flatpak 1.10.0"  +/
Сообщение от Аноним (164), 21-Янв-21, 12:42 
Эта ссылка должна быа быть не в поседней строке новости а в первом же комментарии: http://flatkill.org/2020/

А так-то, NixOS и GNU Guix System - наше всё.

Ответить | Правка | Наверх | Cообщить модератору

Архив | Удалить

Рекомендовать для помещения в FAQ | Индекс форумов | Темы | Пред. тема | След. тема




Спонсоры:
Inferno Solutions
Ideco
Hosting by Hoster.ru
Хостинг:

Закладки на сайте
Проследить за страницей
Created 1996-2021 by Maxim Chirkov
Добавить, Поддержать, Вебмастеру